Bug 69567 - Emacs sometimes crashes when editing in C++ mode
Emacs sometimes crashes when editing in C++ mode
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-23 06:26 EDT by André Johansen
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-29 05:48:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description André Johansen 2002-07-23 06:26:39 EDT
Emacs crashes when editing C++ source code.  It seems this happens sometimes when typing  
";" -- I've had Emacs crash twice within half an hour of editing after upgrading the  
machine to Red Hat Linux v7.3.  
  
The Emacs package is "emacs-21.2-2". 
 
Call-stack from the core-file: 
Core was generated by `emacs --unibyte -geometry 162x71-0+0'. 
Program terminated with signal 11, Segmentation fault. 
Reading symbols from /usr/X11R6/lib/libXaw3d.so.7...done. 
Loaded symbols for /usr/X11R6/lib/libXaw3d.so.7 
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done. 
Loaded symbols for /usr/X11R6/lib/libXmu.so.6 
Reading symbols from /usr/X11R6/lib/libXt.so.6...done. 
Loaded symbols for /usr/X11R6/lib/libXt.so.6 
Reading symbols from /usr/X11R6/lib/libSM.so.6...done. 
Loaded symbols for /usr/X11R6/lib/libSM.so.6 
Reading symbols from /usr/X11R6/lib/libICE.so.6...done. 
Loaded symbols for /usr/X11R6/lib/libICE.so.6 
Reading symbols from /usr/X11R6/lib/libXext.so.6...done. 
Loaded symbols for /usr/X11R6/lib/libXext.so.6 
Reading symbols from /usr/lib/libtiff.so.3...done. 
Loaded symbols for /usr/lib/libtiff.so.3 
Reading symbols from /usr/lib/libjpeg.so.62...done. 
Loaded symbols for /usr/lib/libjpeg.so.62 
Reading symbols from /usr/lib/libpng.so.2...done. 
Loaded symbols for /usr/lib/libpng.so.2 
Reading symbols from /usr/lib/libz.so.1...done. 
Loaded symbols for /usr/lib/libz.so.1 
Reading symbols from /lib/i686/libm.so.6...done. 
Loaded symbols for /lib/i686/libm.so.6 
Reading symbols from /usr/lib/libungif.so.4...done. 
Loaded symbols for /usr/lib/libungif.so.4 
Reading symbols from /usr/X11R6/lib/libXpm.so.4...done. 
Loaded symbols for /usr/X11R6/lib/libXpm.so.4 
Reading symbols from /usr/X11R6/lib/libX11.so.6...done. 
Loaded symbols for /usr/X11R6/lib/libX11.so.6 
Reading symbols from /usr/lib/libncurses.so.5...done. 
Loaded symbols for /usr/lib/libncurses.so.5 
Reading symbols from /lib/i686/libc.so.6...done. 
Loaded symbols for /lib/i686/libc.so.6 
Reading symbols from /lib/libdl.so.2...done. 
Loaded symbols for /lib/libdl.so.2 
Reading symbols from /lib/ld-linux.so.2...done. 
Loaded symbols for /lib/ld-linux.so.2 
Reading symbols from /lib/libnss_files.so.2...done. 
Loaded symbols for /lib/libnss_files.so.2 
Reading symbols from /usr/X11R6/lib/X11/locale/common/xlcDef.so.2...done. 
Loaded symbols for /usr/X11R6/lib/X11/locale/common/xlcDef.so.2 
Reading symbols from /usr/X11R6/lib/X11/locale/common/ximcp.so.2...done. 
Loaded symbols for /usr/X11R6/lib/X11/locale/common/ximcp.so.2 
Reading symbols from /usr/lib/gconv/ISO8859-1.so...done. 
Loaded symbols for /usr/lib/gconv/ISO8859-1.so 
Reading symbols from /usr/X11R6/lib/X11/locale/common/xomGeneric.so.2...done. 
Loaded symbols for /usr/X11R6/lib/X11/locale/common/xomGeneric.so.2 
#0  0x42029331 in kill () from /lib/i686/libc.so.6 
(gdb) bt 
#0  0x42029331 in kill () from /lib/i686/libc.so.6 
#1  0x080d62d4 in fatal_error_signal () 
#2  <signalhandler called> 
#3  0x080505e4 in increment_row_positions () 
#4  0x0804fe2b in increment_matrix_positions () 
#5  0x08067b6b in redisplay_internal () 
#6  0x080e30a5 in detect_input_pending_run_timers () 
#7  0x0815cd5f in wait_reading_process_input () 
#8  0x0805762e in sit_for () 
#9  0x080da8b6 in read_char () 
#10 0x080e123f in read_key_sequence () 
#11 0x080d8e74 in command_loop_1 () 
#12 0x0812e13c in internal_condition_case () 
#13 0x080d8a18 in command_loop_2 () 
#14 0x0812dcb6 in internal_catch () 
#15 0x080d8994 in command_loop () 
#16 0x080d84dd in recursive_edit_1 () 
#17 0x080d860f in Frecursive_edit () 
#18 0x080d74bb in main () 
#19 0x42017589 in __libc_start_main () from /lib/i686/libc.so.6 
 
 
Emacs 21 has been stable in all other circumstances (i.e. other usage on other machines).
Comment 1 Trond Eivind Glomsrxd 2002-07-23 12:26:54 EDT
Need a testcase, I've not had this happen and use it for quite a bit of code
editing...
Comment 2 André Johansen 2002-07-29 05:47:58 EDT
I haven't been able to reproduce this for a while; I'll add more information when/if this 
happens again... 
Comment 3 Trond Eivind Glomsrxd 2002-07-29 14:31:42 EDT
OK, reopen with data if you can reproduce.
Comment 4 André Johansen 2002-08-22 08:48:53 EDT
I just had the same crash again (same call-stack), while editing in C++ mode. 
I'll compile a version with debugging symbols to gain more information on the 
next crash. 

Note You need to log in before you can comment on or make changes to this bug.